
Katello - Bug #5438

katello-installer spews error messages from candlepin

04/24/2014 08:54 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1077879 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1077879

Description of problem:

Running the katello-installer without any arguments show a couple of error messages from candlepin.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. run katello-installer

2.

3.

Actual results:

Candlepin errors

Expected results:

Additional info:

1. katello-installer

/Stage[main]/Candlepin::Database/Postgresql::Server::Db[candlepin]/Postgresql::Server::Role[candlepin]/Postgresql_psql[CRE

ATE ROLE "candlepin" ENCRYPTED PASSWORD 'md507d1fa16e7fd92f0e006cd57249ad99f' LOGIN NOCREATEROLE

NOCREATEDB NOSUPERUSER  CONNECTION LIMIT 1]: Failed to call refresh: Error executing SQL; psql returned 256:

'ERROR:  role "candlepin" already exists

/Stage[main]/Candlepin::Database/Postgresql::Server::Db[candlepin]/Postgresql::Server::Role[candlepin]/Postgresql_psql[CRE

ATE ROLE "candlepin" ENCRYPTED PASSWORD 'md507d1fa16e7fd92f0e006cd57249ad99f' LOGIN NOCREATEROLE

NOCREATEDB NOSUPERUSER  CONNECTION LIMIT -1]: Error executing SQL; psql returned 256: 'ERROR:  role "candlepin"

already exists

Installing             +++ /tmp/puppet-file20140318-23394-18kdmyv-0reman2014 [99%] [.................................Installing            

Done                                               [100%] [..................................]

[root@qeblade35 ~]# echo $?

6

Related issues:

Is duplicate of Katello - Bug #5012: Candlepin role already exists Closed 04/01/2014

History

#1 - 05/28/2014 07:02 PM - Eric Helms

- Is duplicate of Bug #5012: Candlepin role already exists added

#2 - 05/28/2014 07:02 PM - Eric Helms

- Status changed from New to Closed
- Triaged set to No

#3 - 06/05/2014 03:34 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 08:05 AM - Eric Helms

- translation missing: en.field_release set to 13
